Skip to content

Deactivate a mailbox

Request

Disable a mailbox. It will stop sending and syncing emails.

Security
bearerAuth
Path
uuidstringrequired

Resource UUID.

PUT
/emails/api/mailboxes/{uuid}/deactivate
curl -i -X PUT \
  'https://leadgen.grinfi.io/emails/api/mailboxes/{uuid}/deactivate' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Deactivated.

Bodyapplication/json
uuidstring
team_idinteger
user_idinteger
sender_profile_uuidstring
emailstring
Example:"outreach@company.com"
sender_namestring
Example:"John from Company"
providerstring
statusstring
automation_daily_limitinteger
Example:50
automation_task_intervalinteger
Example:120
custom_tracking_domain_uuidstring or null
connection_settingsobject
created_atstring, (date-time)
updated_atstring, (date-time)
Response
{ "uuid": "string", "team_id": 0, "user_id": 0, "sender_profile_uuid": "string", "email": "outreach@company.com", "sender_name": "John from Company", "provider": "string", "status": "string", "automation_daily_limit": 50, "automation_task_interval": 120, "custom_tracking_domain_uuid": "string", "connection_settings": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }